<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Configurações > Banners > Alterar";
$pg_voltar = "banner.php";
$msg_ok = "Alterado com sucesso";
$msg_erro = "Erro ao alterar";
$nomeClasse = "banner";

##########################
# carregar
##########################
if(isPost($_REQUEST['id'])){
	$obj = new Banner();
	$obj->id = $_REQUEST['id'];
	$obj->carregar();
}

##########################
# alterar
##########################
if(isPost($_POST['ok'])){
	
	$continuar = true;

	if(isset($_FILES['arquivo']) && is_array($_FILES['arquivo']) && $_FILES['arquivo']['name'] != ""){
		// altera arquivo
		$nomeArquivo = $obj->upload($_FILES['arquivo']);
		if(!$nomeArquivo){
			$continuar = false;
			$msg = $msg_erro;
		}
		else{
			if($nomeArquivo != $obj->arquivo) @unlink(PATHBANNER.$obj->arquivo);
			if(UtilObjeto::getExtensao($nomeArquivo) == 'swf'){
				$_POST[$nomeClasse]['tipo'] = 'f';
			}
			$_POST[$nomeClasse]['arquivo'] = $nomeArquivo;
		}
	}

	if($continuar){
		$obj->carga($_POST[$nomeClasse]);
		if($obj->alterar()){
			$msg = $msg_ok;
			$msgClass = "msgSucesso";
		}
		else{
			$msg = $msg_erro;
		}
	}
}

##########################
# carga inicial do post
##########################
$arrAtributos = ${"arrinforz2$nomeClasse"};
foreach($arrAtributos[INFOCAMPOS] as $atributo){
	if(!isset($_POST[$nomeClasse][$atributo])) $_POST[$nomeClasse][$atributo] = $obj->{$atributo};
}
?>

<h1><?=$titulo?></h1>

<div class="boxAcao">
	<ul>
		<li class="border-none"><a href="<?=URLADMIN.$pg_voltar?>" title="Voltar">> Voltar</a></li>
	</ul>
</div>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo">Alterar</div>
	<form name="form1" id="form1" action="" method="post" enctype="multipart/form-data">
		<div class="campo3">
			<label for="arquivo">Arquivo:</label>
			<input type="file" class="width-auto" size="40" id="arquivo" name="arquivo" value="" />
			&nbsp;<span class="dica"><a href="<?=URLBANNER.$_POST[$nomeClasse]['arquivo']?>" target="_blank">ver arquivo atual</a></span>
		</div>
		
		<div class="campo1">
			<label for="ordem">Ordem:</label>
			<input type="text" class="width-auto" size="5" id="ordem" name="<?=$nomeClasse?>[ordem]" value="<?=$_POST[$nomeClasse]['ordem']?>" <?=MASCARA_NUMERO?> />
			&nbsp;<span class="dica">Somente números</span>
		</div>
		<div class="campo3 align-right">
			<span class="campo_obrigatorio">(*) Campos obrigatórios</span>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Salvar" title="Salvar" validar="1" />
		</div>
		<input type="hidden" name="id" value="<?=$_REQUEST['id']?>" />
	</form>
</div>

<?php
include 'rodape.php';
?>